[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#54756: apt: segmentation fault while accessing package lists

Package: apt
Version: 0.3.15
Severity: critical

I keep receiving the following kind of errors while using apt:

# apt-get update
Get:1 ftp://ftp.fnet.pl potato/main Packages [846kB]
Get:2 ftp://ftp.pg.gda.pl potato/non-free Packages [79.3kB]
Get:3 ftp://ftp.pg.gda.pl potato/non-free Release [99B]
Get:4 ftp://ftp.fnet.pl potato/main Release [95B]
Get:5 ftp://ftp.fnet.pl potato/contrib Packages [35.9kB]
Get:6 ftp://ftp.fnet.pl potato/contrib Release [98B]
Fetched 961kB in 6m28s (2471B/s)
Reading Package Lists... Done
Segmentation faulty Tree... 50%

This makes the system a bit unusable (unupgradeable ;)).

-- System Information
Debian Release: potato
Kernel Version: Linux psycho 2.3.36 #1 Thu Jan 6 17:32:23 CET 2000 i586 unknown

Versions of the packages apt depends on:
ii  libc6           2.1.2-10       GNU C Library: Shared libraries and timezone
ii  libstdc++2.10   2.95.2-4       The GNU stdc++ library

Reply to: